Bug 22597 - Remove "more_subfields_xml" from GetPatronInfo response (xml broken)
Summary: Remove "more_subfields_xml" from GetPatronInfo response (xml broken)
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Web services (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Arthur Suzuki
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-27 14:41 UTC by Arthur Suzuki
Modified: 2019-04-25 13:11 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
BrokenXml returned from GetPatronInfo with show_loans=1 (18.75 KB, text/plain)
2019-03-27 14:41 UTC, Arthur Suzuki
Details
Bug 22597 : Remove "more_subfields_xml" from GetPatronInfo response (1.08 KB, patch)
2019-03-27 15:01 UTC, Arthur Suzuki
Details | Diff | Splinter Review
Bug 22597 : Remove "more_subfields_xml" from GetPatronInfo response (1.14 KB, patch)
2019-04-06 14:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22597: Remove "more_subfields_xml" from GetPatronInfo response (1.24 KB, patch)
2019-04-12 09:28 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Arthur Suzuki 2019-03-27 14:41:57 UTC
Created attachment 87070 [details]
BrokenXml returned from GetPatronInfo with show_loans=1

If value in more_subfields_xml contains xml opening and closing tags then xml structure in broken and response cannot be read by the third-party software.

I suggest removing <more_subfields_xml> from the response as it is done for GetRecords.
Comment 1 Arthur Suzuki 2019-03-27 15:01:48 UTC
Created attachment 87074 [details] [review]
Bug 22597 : Remove "more_subfields_xml" from GetPatronInfo response

Test plan
1/ Set an item with some xml data in more_subfields_xml
2/ Issue this item to a borrower
3/ Query the webservice with GetPatronInfo methods and show_loans=1 params
4/ Check no <more_subfields_xml> tags are returned in the xml response from the webservice
Comment 2 Katrin Fischer 2019-04-06 14:45:03 UTC
Created attachment 87476 [details] [review]
Bug 22597 : Remove "more_subfields_xml" from GetPatronInfo response

Test plan
1/ Set an item with some xml data in more_subfields_xml
2/ Issue this item to a borrower
3/ Query the webservice with GetPatronInfo methods and show_loans=1 params
4/ Check no <more_subfields_xml> tags are returned in the xml response from the webservice

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2019-04-06 14:45:41 UTC
Signing off, but I think for QA a unit test will be needed.
Comment 4 Marcel de Rooy 2019-04-12 09:28:39 UTC
Created attachment 87875 [details] [review]
Bug 22597: Remove "more_subfields_xml" from GetPatronInfo response

Test plan
1/ Set an item with some xml data in more_subfields_xml
2/ Issue this item to a borrower
3/ Query the webservice with GetPatronInfo methods and show_loans=1 params
4/ Check no <more_subfields_xml> tags are returned in the xml response from the webservice

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Marcel de Rooy 2019-04-12 09:29:29 UTC
(In reply to Katrin Fischer from comment #3)
> Signing off, but I think for QA a unit test will be needed.

Hmm. For this very small change I will not insist on that. Note that GetPatronInfo is tested and still passes.
Comment 6 Nick Clemens 2019-04-12 11:49:59 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-04-25 13:11:26 UTC
Pushed to 18.11.x for 18.11.05